man.charmap.enabled
Prev | Character/string substitution | Next

## man.charmap.enabled

man.charmap.enabled — Apply character map before final output?

## Synopsis

    <xsl:param name="man.charmap.enabled" select="1"></xsl:param>

## Description

If the value of the `man.charmap.enabled` parameter is non-zero, a "character map" is used to substitute certain Unicode symbols and special characters with appropriate roff/groff equivalents, just before writing each man-page file to the filesystem. If instead the value of `man.charmap.enabled` is zero, Unicode characters are passed through "as is".

### Details

For converting certain Unicode symbols and special characters in UTF-8 or UTF-16 encoded XML source to appropriate groff/roff equivalents in man-page output, the DocBook XSL Stylesheets distribution includes a roff character map that is compliant with the XSLT character map format as detailed in the XSLT 2.0 specification. The map contains more than 800 character mappings and can be considered the standard roff character map for the distribution.

You can use the `man.charmap.uri` parameter to specify a URI for the location for an alternate roff character map to use in place of the standard roff character map provided in the distribution.

You can also use a subset of a character map. For details, see the `man.charmap.use.subset`, `man.charmap.subset.profile`, and `man.charmap.subset.profile.english` parameters.

Prev | Up | Next
Character/string substitution | Home | man.charmap.uri